JUCE: ButtonParameterAttachment Class Reference

JUCE

Public Member Functions | List of all members
ButtonParameterAttachment Class Reference
juce_audio_processors » utilities

An object of this class maintains a connection between a Button and a plug-in parameter. More...

`#include <juce_ParameterAttachments.h>`

Inheritance diagram for ButtonParameterAttachment:

## Public Member Functions
| ButtonParameterAttachment (RangedAudioParameter &parameter, Button &button, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a Button. More...
| ~ButtonParameterAttachment () override
| Destructor. More...
void | sendInitialUpdate ()
| Call this after setting up your button in the case where you need to do extra setup after constructing this attachment. More...

## Detailed Description

An object of this class maintains a connection between a Button and a plug-in parameter.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a button to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and Button are not deleted before this object!

## Constructor & Destructor Documentation

## ◆ ButtonParameterAttachment()

ButtonParameterAttachment::ButtonParameterAttachment | ( | RangedAudioParameter & | parameter,
|  | Button & | button,
|  | UndoManager * | undoManager = `nullptr`
| ) |  |

Creates a connection between a plug-in parameter and a Button.

Parameters

  parameter | The parameter to use
  button | The Button to use
  undoManager | An optional UndoManager

## ◆ ~ButtonParameterAttachment()

ButtonParameterAttachment::~ButtonParameterAttachment | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ sendInitialUpdate()

void ButtonParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your button in the case where you need to do extra setup after constructing this attachment.

The documentation for this class was generated from the following file:

- juce_ParameterAttachments.h